Subject: Re: [P2PSIP] I-D Action: draft-ietf-p2psip-concepts-04.txt

From: Marc Petit-Huguenin <[email-masked]>
Date: Sat, 05 Nov 2011 09:52:09 -0700

The following comments and nits from my previous review are still pending:

1. Section 3, second paragraph.

To improve the reading flow of section 3 as a whole, I would suggest to replace
the first sentence by this:

"A P2PSIP Overlay consists of one or more nodes called Peers and may also
include Clients."

2. Section 3.5 OPEN ISSUE

I would suggest to move this whole section into a "Design Notes" appendix at the
end of the document.  See also comment 10.

3. Section 4, 2rd paragraph "SIP Redirector"

I would suggest to use "SIP Redirect Server" instead, as defined in RFC 3261
Section 6.

6. Section 5: Responsible Peer

I did not read all the literature on the subject, but I never saw the term "Root
Peer" used as synonym for "Responsible Peer."

7. Section 6.4, second paragraph: "The P2PSIP WG..."

Replace by "This document..."

8. Section 6.4, third paragraph

This paragraph talks about "multicast-bootstrap", but it should also talk about
unicast bootstrap (or s/multicast-bootstrap/bootstrap/)

9. Security Section

Security section missing.

10. Section 7 Open Issues

As an implementer that is constantly confronted to interoperability issues, I
think that preserving the reasons why decisions were made is really important
and should be part of each RFC as an appendix.  This would prevent a lot of
guessing when future implementers who never participate in the discussion will
start working on this.

Nits
====

- - Abstract

s/mechansims/mechanisms/

An abstract should not contain references.

- - Section 1.

s/eselection/selection/

- - Section 3.

"Session Initiation Protocol (SIP)" is already defined in Section 2, so using
only "SIP" is OK.

- - Section 6.1

s/resource-id/Resource-ID/
s/resource record/Resource Record/

- - Section 6.2

s/resource record/Resource Record/

On 10/31/2011 08:51 AM, [email-masked] wrote:
> A New Internet-Draft is available from the on-line Internet-Drafts directories. This draft is a work item of the Peer-to-Peer Session Initiation Protocol Working Group of the IETF.
> 
> 	Title           : Concepts and Terminology for Peer to Peer SIP
> 	Author(s)       : David A. Bryan
>                           Philip Matthews
>                           Eunsoo Shim
>                           Dean Willis
>                           Spencer Dawkins
> 	Filename        : draft-ietf-p2psip-concepts-04.txt
> 	Pages           : 20
> 	Date            : 2011-10-31
> 
>    This document defines concepts and terminology for the use of the
>    Session Initiation Protocol in a peer-to-peer environment where the
>    traditional proxy-registrar and message routing functions are
>    replaced by a distributed mechanism.  These mechansims may be
>    implemented using a distributed hash table or other distributed data
>    mechanism with similar external properties.  This document includes a
>    high-level view of the functional relationships between the network
>    elements defined herein, a conceptual model of operations, and an
>    outline of the related problems addressed by the P2PSIP working group
>    and the RELOAD protocol ([I-D.ietf-p2psip-base],
>    [I-D.ietf-p2psip-sip]) defined by the working group.
> 
> 
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-ietf-p2psip-concepts-04.txt
> 
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
> 
> This Internet-Draft can be retrieved at:
> ftp://ftp.ietf.org/internet-drafts/draft-ietf-p2psip-concepts-04.txt

- -- 
Marc Petit-Huguenin
Personal email: [email-masked]
Professional email: [email-masked]
Blog: http://blog.marc.petit-huguenin.org